Bug 57541 - [Cilkplus]: internal compiler error: in gimplify_expr, at gimplify.c:7809
Summary: [Cilkplus]: internal compiler error: in gimplify_expr, at gimplify.c:7809
Status: UNCONFIRMED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.9.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 10:11 UTC by Anna
Modified: 2014-07-31 19:13 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Reproducer (86 bytes, text/x-csrc)
2013-06-06 10:11 UTC, Anna
Details
Another test case reproducing the original thing (71 bytes, text/x-csrc)
2013-06-10 14:23 UTC, Anna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anna 2013-06-06 10:11:54 UTC
Created attachment 30266 [details]
Reproducer

Hi,
Attached test case fails with ICE:

$ gcc -fcilkplus 1.c
1.c: In function 'main':
1.c:4:18: error: 'N' undeclared (first use in this function)
   char c = (char)N;
                  ^
1.c:4:18: note: each undeclared identifier is reported only once for each function it appears in
1.c:7:3: internal compiler error: in gimplify_expr, at gimplify.c:7809
   A[l:s:c];
   ^
0x78dacf gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7809
0x78f5f6 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78b8bb gimplify_statement_list
        /home/anna/trunk/gcc/gimplify.c:1521
0x78b8bb gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7549
0x78f5f6 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x790c81 gimplify_body(tree_node*, bool)
        /home/anna/trunk/gcc/gimplify.c:8193
0x791136 gimplify_function_tree(tree_node*)
        /home/anna/trunk/gcc/gimplify.c:8325
0x6282ef analyze_function
        /home/anna/trunk/gcc/cgraphunit.c:629
0x62b2e4 analyze_functions
        /home/anna/trunk/gcc/cgraphunit.c:913
0x62c795 finalize_compilation_unit()
        /home/anna/trunk/gcc/cgraphunit.c:2097
0x509ee3 c_write_global_declarations()
        /home/anna/trunk/gcc/c/c-decl.c:10118
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 1 Anna 2013-06-06 10:14:49 UTC
Same test, another ICE.

$ gcc -fcilkplus 1.c -DN=10
1.c: In function 'main':
1.c:4:8: internal compiler error: in gimplify_var_or_parm_decl, at gimplify.c:2042
   char c = (char)N;
        ^
0x78a33b gimplify_var_or_parm_decl
        /home/anna/trunk/gcc/gimplify.c:2042
0x78c00b gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7565
0x797643 gimplify_modify_expr
        /home/anna/trunk/gcc/gimplify.c:4851
0x78bfd3 gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7160
0x78f5f6 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78d5cd gimplify_and_add
        /home/anna/trunk/gcc/gimplify.c:327
0x78d5cd gimplify_decl_expr
        /home/anna/trunk/gcc/gimplify.c:1468
0x78d5cd gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7327
0x78f5f6 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78b8bb gimplify_statement_list
        /home/anna/trunk/gcc/gimplify.c:1521
0x78b8bb gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7549
0x78f5f6 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x790c81 gimplify_body(tree_node*, bool)
        /home/anna/trunk/gcc/gimplify.c:8193
0x791136 gimplify_function_tree(tree_node*)
        /home/anna/trunk/gcc/gimplify.c:8325
0x6282ef analyze_function
        /home/anna/trunk/gcc/cgraphunit.c:629
0x62b2e4 analyze_functions
        /home/anna/trunk/gcc/cgraphunit.c:913
0x62c795 finalize_compilation_unit()
        /home/anna/trunk/gcc/cgraphunit.c:2097
0x509ee3 c_write_global_declarations()
        /home/anna/trunk/gcc/c/c-decl.c:10118
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 2 Anna 2013-06-06 10:22:47 UTC
Comment out line "long l = (long)N;" and here's another ICE.

$ gcc -fcilkplus 1.c
1.c: In function 'main':
1.c:4:18: error: 'N' undeclared (first use in this function)
   char c = (char)N;
                  ^
1.c:4:18: note: each undeclared identifier is reported only once for each function it appears in
1.c:7:5: error: 'l' undeclared (first use in this function)
   A[l:s:c];
     ^
1.c:7:6: error: expected array notation expression before ':' token
   A[l:s:c];
      ^
1.c:7:6: internal compiler error: Segmentation fault
0x8fee9f crash_signal
        /home/anna/trunk/gcc/toplev.c:333
0x54b5aa contains_struct_check
        /home/anna/trunk/gcc/tree.h:3803
0x54b5aa build_array_notation_ref(unsigned int, tree_node*, tree_node*, tree_node*, tree_node*, tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:2809
0x53c5ce c_parser_array_notation
        /home/anna/trunk/gcc/c/c-parser.c:11165
0x53dad6 c_parser_postfix_expression_after_primary
        /home/anna/trunk/gcc/c/c-parser.c:6978
0x534e70 c_parser_postfix_expression
        /home/anna/trunk/gcc/c/c-parser.c:6850
0x53681a c_parser_unary_expression
        /home/anna/trunk/gcc/c/c-parser.c:6042
0x53ac86 c_parser_cast_expression
        /home/anna/trunk/gcc/c/c-parser.c:5880
0x53aeae c_parser_binary_expression
        /home/anna/trunk/gcc/c/c-parser.c:5691
0x53b7c7 c_parser_conditional_expression
        /home/anna/trunk/gcc/c/c-parser.c:5486
0x53bdd0 c_parser_expr_no_commas
        /home/anna/trunk/gcc/c/c-parser.c:5405
0x53c2dd c_parser_expression
        /home/anna/trunk/gcc/c/c-parser.c:7139
0x53cd44 c_parser_expression_conv
        /home/anna/trunk/gcc/c/c-parser.c:7170
0x545b46 c_parser_statement_after_labels
        /home/anna/trunk/gcc/c/c-parser.c:4599
0x543067 c_parser_compound_statement_nostart
        /home/anna/trunk/gcc/c/c-parser.c:4261
0x54387b c_parser_compound_statement
        /home/anna/trunk/gcc/c/c-parser.c:4094
0x5447aa c_parser_declaration_or_fndef
        /home/anna/trunk/gcc/c/c-parser.c:1758
0x54958b c_parser_external_declaration
        /home/anna/trunk/gcc/c/c-parser.c:1363
0x549ff6 c_parser_translation_unit
        /home/anna/trunk/gcc/c/c-parser.c:1251
0x549ff6 c_parse_file()
        /home/anna/trunk/gcc/c/c-parser.c:11000
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.

Compiler used is:
Target: x86_64-unknown-linux-gnu
Configured with: /home/anna/trunk/configure --with-arch=corei7 --with-cpu=corei7 --enable-clocale=gnu --with-system-zlib --enable-shared --with-demangler-in-ld --enable-cloog-backend=isl --with-fpmath=sse --enable-languages=c,c++,fortran,java,lto
Thread model: posix
gcc version 4.9.0 20130605 (experimental) (GCC)
Comment 3 Balaji V. Iyer 2013-06-09 14:25:44 UTC
Hello,
    This issue should be fixed in trunk revision 199837. Please let me know otherwise.

Thanks,

Balaji V. Iyer.
Comment 4 Balaji V. Iyer 2013-06-09 14:26:21 UTC
Hello,
    This issue should be fixed in trunk revision 199837. Please let me know otherwise.

Thanks,

Balaji V. Iyer.
Comment 5 Anna 2013-06-10 14:11:32 UTC
(In reply to Balaji V. Iyer from comment #4)
> Hello,
>     This issue should be fixed in trunk revision 199837. Please let me know
> otherwise.
> 
> Thanks,
> 
> Balaji V. Iyer.

Hi Balaji,
I still can reproduce segfault mentioned in Comment 2.
Comment 6 Anna 2013-06-10 14:23:40 UTC
Created attachment 30285 [details]
Another test case reproducing the original thing
Comment 7 Anna 2013-06-10 14:28:27 UTC
(In reply to Anna from comment #6)
> Created attachment 30285 [details]
> Another test case reproducing the original thing

And another issue in slightly changed test case from this attachment:
int A[10];

int main () {
  int a;
  a = __sec_reduce_add ();
}

$ gcc -fcilkplus 1.c
1.c: In function 'main':
1.c:6:1: internal compiler error: tree check: accessed operand 4 of call_expr with 3 operands in fix_builtin_array_notation_fn, at c/c-array-notation.c:158
 }
 ^
0xaf30d7 tree_operand_check_failed(int, tree_node const*, char const*, int, char const*)
        /home/anna/trunk/gcc/tree.c:9258
0x54a7e6 tree_operand_check
        /home/anna/trunk/gcc/tree.h:4125
0x54a7e6 fix_builtin_array_notation_fn
        /home/anna/trunk/gcc/c/c-array-notation.c:158
0x5511ec build_array_notation_expr(unsigned int, tree_node*, tree_node*, tree_code, unsigned int, tree_node*, tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:731
0x555218 expand_array_notation_exprs(tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:2311
0x554e50 expand_array_notation_exprs(tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:2299
0x543d43 c_parser_compound_statement
        /home/anna/trunk/gcc/c/c-parser.c:4098
0x544bfa c_parser_declaration_or_fndef
        /home/anna/trunk/gcc/c/c-parser.c:1758
0x5499db c_parser_external_declaration
        /home/anna/trunk/gcc/c/c-parser.c:1363
0x54a446 c_parser_translation_unit
        /home/anna/trunk/gcc/c/c-parser.c:1251
0x54a446 c_parse_file()
        /home/anna/trunk/gcc/c/c-parser.c:11000
0x59c024 c_common_parse_file()
        /home/anna/trunk/gcc/c-family/c-opts.c:1046
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.

Compiler used to get Comment-5, Comment-6 and this issue is:
Target: x86_64-unknown-linux-gnu
Configured with: /home/anna/trunk/configure --with-arch=corei7 --with-cpu=corei7 --enable-clocale=gnu --with-system-zlib --enable-shared --with-demangler-in-ld --enable-cloog-backend=isl --with-fpmath=sse --enable-languages=c,c++,fortran,java,lto
Thread model: posix
gcc version 4.9.0 20130608 (experimental) (GCC)
Comment 8 Anna 2013-06-10 14:34:34 UTC
Thing from Comment 1 is still reproducible with this case:
int A[10];

int main () {
  int a;
  a = __sec_reduce_add (1);
}

$ gcc -fcilkplus 1.c
1.c: In function 'main':
1.c:5:5: internal compiler error: in gimplify_var_or_parm_decl, at gimplify.c:2042
   a = __sec_reduce_add (1);
     ^
0x78b57b gimplify_var_or_parm_decl
        /home/anna/trunk/gcc/gimplify.c:2042
0x78d24b gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7565
0x798883 gimplify_modify_expr
        /home/anna/trunk/gcc/gimplify.c:4851
0x78d213 gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7160
0x790836 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78cafb gimplify_statement_list
        /home/anna/trunk/gcc/gimplify.c:1521
0x78cafb gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7549
0x790836 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78cafb gimplify_statement_list
        /home/anna/trunk/gcc/gimplify.c:1521
0x78cafb gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7549
0x790836 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x78cafb gimplify_statement_list
        /home/anna/trunk/gcc/gimplify.c:1521
0x78cafb gimplify_expr(tree_node**, gimple_statement_d**, gimple_statement_d**, bool (*)(tree_node*), int)
        /home/anna/trunk/gcc/gimplify.c:7549
0x790836 gimplify_stmt(tree_node**, gimple_statement_d**)
        /home/anna/trunk/gcc/gimplify.c:5692
0x791ec1 gimplify_body(tree_node*, bool)
        /home/anna/trunk/gcc/gimplify.c:8193
0x792376 gimplify_function_tree(tree_node*)
        /home/anna/trunk/gcc/gimplify.c:8325
0x62951f analyze_function
        /home/anna/trunk/gcc/cgraphunit.c:629
0x62c514 analyze_functions
        /home/anna/trunk/gcc/cgraphunit.c:913
0x62d9c5 finalize_compilation_unit()
        /home/anna/trunk/gcc/cgraphunit.c:2097
0x50a333 c_write_global_declarations()
        /home/anna/trunk/gcc/c/c-decl.c:10118
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 9 Anna 2013-06-10 14:38:43 UTC
Issue that is very alike to issue mentioned in Comment 7:

int A[10];

int main () {
  int a;
  a = __sec_reduce (1);
}

$ gcc -fcilkplus 1.c
1.c: In function 'main':
1.c:6:1: internal compiler error: tree check: accessed operand 6 of call_expr with 4 operands in fix_builtin_array_notation_fn, at c/c-array-notation.c:145
 }
 ^
0xaf30d7 tree_operand_check_failed(int, tree_node const*, char const*, int, char const*)
        /home/anna/trunk/gcc/tree.c:9258
0x531b89 tree_operand_check(tree_node*, int, char const*, int, char const*)
        /home/anna/trunk/gcc/tree.h:4125
0x54a9e7 fix_builtin_array_notation_fn
        /home/anna/trunk/gcc/c/c-array-notation.c:145
0x5511ec build_array_notation_expr(unsigned int, tree_node*, tree_node*, tree_code, unsigned int, tree_node*, tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:731
0x555218 expand_array_notation_exprs(tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:2311
0x554e50 expand_array_notation_exprs(tree_node*)
        /home/anna/trunk/gcc/c/c-array-notation.c:2299
0x543d43 c_parser_compound_statement
        /home/anna/trunk/gcc/c/c-parser.c:4098
0x544bfa c_parser_declaration_or_fndef
        /home/anna/trunk/gcc/c/c-parser.c:1758
0x5499db c_parser_external_declaration
        /home/anna/trunk/gcc/c/c-parser.c:1363
0x54a446 c_parser_translation_unit
        /home/anna/trunk/gcc/c/c-parser.c:1251
0x54a446 c_parse_file()
        /home/anna/trunk/gcc/c/c-parser.c:11000
0x59c024 c_common_parse_file()
        /home/anna/trunk/gcc/c-family/c-opts.c:1046
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 10 Kirill Yukhin 2014-06-30 08:15:11 UTC
Author: kyukhin
Date: Mon Jun 30 08:14:39 2014
New Revision: 212138

URL: https://gcc.gnu.org/viewcvs?rev=212138&root=gcc&view=rev
Log:
PR middle-end/57541
gcc/c/
	* c-array-notation.c (fix_builtin_array_notation_fn):
	Check for 0 arguments in builtin call. Check that bultin argument is
	correct.
	* c-parser.c (c_parser_array_notation): Check for incorrect initial
	index.

gcc/cpp/
	* cp-array-notation.c (expand_sec_reduce_builtin):
	Check that bultin argument is correct.
	* call.c (build_cxx_call): Check for 0 arguments in builtin call.

gcc/testsuite/
	* c-c++-common/cilk-plus/AN/pr57541.c: New case added.
	* c-c++-common/cilk-plus/AN/pr57541-2.c: New test.


Added:
    trunk/gcc/testsuite/c-c++-common/cilk-plus/AN/pr57541-2.c
Modified:
    trunk/gcc/c/ChangeLog
    trunk/gcc/c/c-array-notation.c
    trunk/gcc/c/c-parser.c
    trunk/gcc/cp/ChangeLog
    trunk/gcc/cp/call.c
    trunk/gcc/cp/cp-array-notation.c
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/c-c++-common/cilk-plus/AN/pr57541.c
Comment 11 Kirill Yukhin 2014-06-30 08:23:15 UTC
Author: kyukhin
Date: Mon Jun 30 08:22:43 2014
New Revision: 212139

URL: https://gcc.gnu.org/viewcvs?rev=212139&root=gcc&view=rev
Log:
PR middle-end/57541
gcc/c/
	* c-array-notation.c (fix_builtin_array_notation_fn):
	Check for 0 arguments in builtin call. Check that bultin argument is
	correct.
	* c-parser.c (c_parser_array_notation): Check for incorrect initial
	index.

gcc/cp/
	* cp-array-notation.c (expand_sec_reduce_builtin):
	Check that bultin argument is correct.
	* call.c (build_cxx_call): Check for 0 arguments in builtin call.

gcc/testsuite/
	* c-c++-common/cilk-plus/AN/pr57541.c: New case added.
	* c-c++-common/cilk-plus/AN/pr57541-2.c: New test.


Added:
    branches/gcc-4_9-branch/gcc/testsuite/c-c++-common/cilk-plus/AN/pr57541-2.c
Modified:
    branches/gcc-4_9-branch/gcc/c/ChangeLog
    branches/gcc-4_9-branch/gcc/c/c-array-notation.c
    branches/gcc-4_9-branch/gcc/c/c-parser.c
    branches/gcc-4_9-branch/gcc/cp/ChangeLog
    branches/gcc-4_9-branch/gcc/cp/call.c
    branches/gcc-4_9-branch/gcc/cp/cp-array-notation.c
    branches/gcc-4_9-branch/gcc/testsuite/ChangeLog
    branches/gcc-4_9-branch/gcc/testsuite/c-c++-common/cilk-plus/AN/pr57541.c
Comment 12 Nick Tomlinson 2014-07-30 11:47:13 UTC
https://gcc.gnu.org/bugzilla/attachment.cgi?id=30285 still produces an ICE for me:

  I have tried this with:
   - My system GCC (g++, version 4.9.1)
   - A native build of GCC (${GCC_TRUNK}/bin/g++, revision r213234)

  ${GCC_TRUNK}/bin/g++ is a native build of GCC, with the following specified
  to the configure script:
  ./configure --prefix=${GCC_TRUNK} \
    --enable-languages=c,c++,fortran --disable-sjlj-exceptions
  And make invoked as: make CXXFLAGS="-g3 -O0" -j9

  $ uname -a
  Linux squamata 3.15.7-1-ARCH #1 SMP PREEMPT Mon Jul 28 20:06:17 CEST 2014 x86_64 GNU/Linux

  $ g++ --version
  g++ (GCC) 4.9.1
  Copyright (C) 2014 Free Software Foundation, Inc.
  This is free software; see the source for copying conditions.  There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

  $ ${GCC_TRUNK}/bin/g++ --version
  g++ (GCC) 4.10.0 20140730 (experimental)
  Copyright (C) 2014 Free Software Foundation, Inc.
  This is free software; see the source for copying conditions.  There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Comment 13 Nick Tomlinson 2014-07-30 11:48:06 UTC
(In reply to Nick Tomlinson from comment #12)
> https://gcc.gnu.org/bugzilla/attachment.cgi?id=30285 still produces an ICE
> for me:
> 
>   I have tried this with:
>    - My system GCC (g++, version 4.9.1)
>    - A native build of GCC (${GCC_TRUNK}/bin/g++, revision r213234)
> 
>   ${GCC_TRUNK}/bin/g++ is a native build of GCC, with the following specified
>   to the configure script:
>   ./configure --prefix=${GCC_TRUNK} \
>     --enable-languages=c,c++,fortran --disable-sjlj-exceptions
>   And make invoked as: make CXXFLAGS="-g3 -O0" -j9
> 
>   $ uname -a
>   Linux squamata 3.15.7-1-ARCH #1 SMP PREEMPT Mon Jul 28 20:06:17 CEST 2014
> x86_64 GNU/Linux
> 
>   $ g++ --version
>   g++ (GCC) 4.9.1
>   Copyright (C) 2014 Free Software Foundation, Inc.
>   This is free software; see the source for copying conditions.  There is NO
>   warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> 
>   $ ${GCC_TRUNK}/bin/g++ --version
>   g++ (GCC) 4.10.0 20140730 (experimental)
>   Copyright (C) 2014 Free Software Foundation, Inc.
>   This is free software; see the source for copying conditions.  There is NO
>   warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

test.cpp: In function 'int main()':
test.cpp:4:53: internal compiler error: in gimplify_expr, at gimplify.c:8389
   int  a = __sec_reduce_add (__sec_reduce_add (A[:]));
                                                     ^
0x9bc36b gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:8389
0x9c378f gimplify_call_expr
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:2432
0x9b9a2b gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:7644
0x9c378f gimplify_call_expr
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:2432
0x9b9a2b gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:7644
0x9b8270 gimplify_modify_expr
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:4571
0x9b98ef gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:7673
0x9be136 gimplify_stmt(tree_node**, gimple_statement_base**)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5417
0x9b9aca gimplify_cleanup_point_expr
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5193
0x9b9aca gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:8036
0x9be136 gimplify_stmt(tree_node**, gimple_statement_base**)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5417
0x9b9d2b gimplify_statement_list
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:1451
0x9b9d2b gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:8088
0x9be136 gimplify_stmt(tree_node**, gimple_statement_base**)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5417
0x9befe5 gimplify_bind_expr
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:1100
0x9b9a09 gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:7870
0x9be136 gimplify_stmt(tree_node**, gimple_statement_base**)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5417
0x9b9d2b gimplify_statement_list
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:1451
0x9b9d2b gimplify_expr(tree_node**, gimple_statement_base**, gimple_statement_base**, bool (*)(tree_node*), int)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:8088
0x9be136 gimplify_stmt(tree_node**, gimple_statement_base**)
        /home/nicholas/GCCCilk/bug/native/gcc-4.9.0/gcc/gimplify.c:5417
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 14 Igor Zamyatin 2014-07-31 19:13:37 UTC
I have a bunch of changes in my local tree that should fix this issue. Hope to send them out next week